#!/usr/bin/env python3

import sys
from ucb import main
from mr import emit

def emit_vowels(line):
    """A mapper function that emits each vowel in a line."""
    for letter in line:
        if letter in 'aeiou':
            emit(letter, 1)

def emit_vowel_counts(line):
    """A mapper function that emits the count of each vowel in a line."""
    for vowel in 'aeiou':
        count = line.count(vowel)
        if count > 0:
            emit(vowel, count)

@main
def run():
    for line in sys.stdin:
        emit_vowels(line)
