#!/usr/bin/env python3

import mr
import sys
from trees import Tree, Leaf, read_trees
from ucb import main

def words(tree):
    """Yield the words in a tree and their syntactic categories."""
    if tree.tag:
        if type(tree) == Tree:
            for b in tree.branches:
                for word in words(b):
                    yield word
        else:
            yield (tree.word, tree.tag)


@main
def run():
    for tree in read_trees(sys.stdin):
        for word, tag in words(tree):
            mr.emit(word.lower(), tag)
